BCA_Lib

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Pages
Public Member Functions
AntInterface Class Reference

## Public Member Functions
| AntInterface (Device *dev)
int | ANT_Init ()
int | ANT_Close ()
int | ANT_UnAssginChannel (unsigned char channel_number)
int | ANT_AssginChannel (unsigned char channel_number, unsigned char channel_type, unsigned char network_number)
int | ANT_SetChannelId (unsigned char channel_number, unsigned short device_number, unsigned char device_type_id, unsigned char trans_type)
int | ANT_SetChannelPeriod (unsigned char channel_number, unsigned short messaging_period)
int | ANT_SetChannelSearchTimeout (unsigned char channel_number, unsigned char search_timeout)
int | ANT_SetChannelRFFreq (unsigned char channel_number, unsigned char rf_freqency)
int | ANT_SetNetworkKey (unsigned char network_number, unsigned char key[8])
int | ANT_SetTransmitPower (unsigned char tx_power)
int | ANT_AddChannelID (unsigned char channel_number, unsigned short device_number, unsigned char device_type_id, unsigned char trans_type, unsigned char list_index)
int | ANT_ConfigList (unsigned char channel_number, unsigned char list_size, unsigned char exclude)
int | ANT_SetChannelTxPower (unsigned char channel_number, unsigned char tx_power)
int | ANT_SetLowPriorityChannelSearchTimeout (unsigned char channel_number, unsigned char search_timeout)
int | ANT_SetSerialNumChannelID (unsigned char channel_number, unsigned char device_type_id, unsigned char trans_type)
int | ANT_RxExtMessageEnable (bool enable)
int | ANT_EnableLED (bool enable)
int | ANT_ResetSystem ()
int | ANT_OpenChannel (unsigned char channel_number)
int | ANT_CloseChannel (unsigned char channel_number)
int | ANT_OpenRxScanMode ()
int | ANT_RequestMessage (unsigned char channel_number, unsigned char message_id)
int | ANT_SendBroadcastData (unsigned char channel_number, unsigned char *data, unsigned char length)
int | ANT_SendAcknowledgeData (unsigned char channel_number, unsigned char *data, unsigned char length)
int | ANT_SendBurstTransferPacket (unsigned char channel_number, unsigned char *data, unsigned char length)
int | ANT_LibConfig (unsigned char config)
int | ANT_Nap (int msec)

The documentation for this class was generated from the following files:

- AntInterface.h
- AntInterface.cpp